Name:           freeglut
Version:        3.0.0
Release:        11
Summary:        A freely licensed alternative to the GLUT library
License:        MIT
URL:            http://freeglut.sourceforge.net
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        https://downloads.sourceforge.net/openglut/openglut-0.6.3-doc.tar.gz
Patch0:         gcc-10.patch

BuildRequires:  gcc gcc-c++ cmake libXi-devel libICE-devel
BuildRequires:  pkgconfig libGLU-devel libXext-devel libXxf86vm-devel
Provides:       glut = 3.7
Obsoletes:      glut < 3.7

%description
Freeglut is a free-software/open-source alternative to the OpenGL Utility
Toolkit (GLUT) library. GLUT was originally written to support the sample
programs in the second edition OpenGL 'RedBook'. Since then, GLUT has been used
in a wide variety of practical applications because it is simple, widely
available and highly portable.

%package devel
Summary:        Freeglut developmental libraries and header files
Requires:       %{name} = %{version}-%{release} libGL-devel libGLU-devel
Provides:       glut-devel = 3.7
Obsoletes:      glut-devel < 3.7

%description devel
This package provides developmental libraries and header files required for
developing or compilingsoftware which links to the freeglut library.

%package help
Summary:        Help information and man pages for freeglut

%description help
This package privides man-pages and involved help info for freeglut

%prep
%autosetup -n %{name}-%{version} -a 1 -p1

%build
%{cmake} -DFREEGLUT_BUILD_STATIC_LIBS=OFF .
%make_build

%install
%make_install
install -d $RPM_BUILD_ROOT/%{_mandir}/man3
install -p -m 644 doc/man/*.3 $RPM_BUILD_ROOT/%{_mandir}/man3

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING
%{_libdir}/libglut.so.3*

%files devel
%{_includedir}/GL/*.h
%{_libdir}/libglut.so
%{_libdir}/pkgconfig/freeglut.pc

%files help
%{_mandir}/man3/*
%doc README doc/*.png doc/*.html

%changelog
* Fri Jul 30 2021 linjiaxin5 <linjiaxin5@huawei.com> - 3.0.0-11
- Fix failure caused by GCC upgrade to 10

* Fri Nov 22 2019 sunguoshuai <sunguoshuai@huawei.com> - 3.0.0-10
- Package init.
